<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:35 CEST 2019 -->
<title>LittleEndianDatatypeCoder (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="LittleEndianDatatypeCoder (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaTransaction.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/jna/NativeLibraryLoadException.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/jna/LittleEndianDatatypeCoder.html" target="_top">Frames</a></li>
<li><a href="LittleEndianDatatypeCoder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.jna</div>
<h2 title="Class LittleEndianDatatypeCoder" class="title">Class LittleEndianDatatypeCoder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html" title="class in org.firebirdsql.gds.ng">org.firebirdsql.gds.ng.DefaultDatatypeCoder</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.jna.LittleEndianDatatypeCoder</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a></dd>
</dl>
<hr>
<br>
<pre>public final class <span class="typeNameLabel">LittleEndianDatatypeCoder</span>
extends <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html" title="class in org.firebirdsql.gds.ng">DefaultDatatypeCoder</a></pre>
<div class="block">Datatype encoder and decoder for little endian platforms, specifically for use with the Firebird client library.
 <p>
 For wire protocol use <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html" title="class in org.firebirdsql.gds.ng"><code>DefaultDatatypeCoder</code></a>.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.firebirdsql.gds.ng.DatatypeCoder">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.RawDateTimeStruct.html" title="class in org.firebirdsql.gds.ng">DatatypeCoder.RawDateTimeStruct</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.gds.ng.DatatypeCoder">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#FRACTIONS_PER_HOUR">FRACTIONS_PER_HOUR</a>, <a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#FRACTIONS_PER_MILLISECOND">FRACTIONS_PER_MILLISECOND</a>, <a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#FRACTIONS_PER_MINUTE">FRACTIONS_PER_MINUTE</a>, <a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#FRACTIONS_PER_SECOND">FRACTIONS_PER_SECOND</a>, <a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#NANOSECONDS_PER_FRACTION">NANOSECONDS_PER_FRACTION</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/LittleEndianDatatypeCoder.html#LittleEndianDatatypeCoder-org.firebirdsql.encodings.IEncodingFactory-">LittleEndianDatatypeCoder</a></span>(<a href="../../../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a>&nbsp;encodingFactory)</code>
<div class="block">Creates a little-endian datatype coder for native access on little-endian platforms.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/extern/decimal/Decimal128.html" title="class in org.firebirdsql.extern.decimal">Decimal128</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/LittleEndianDatatypeCoder.html#decodeDecimal128-byte:A-">decodeDecimal128</a></span>(byte[]&nbsp;data)</code>
<div class="block">Decodes a decimal128 from byte array.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/extern/decimal/Decimal64.html" title="class in org.firebirdsql.extern.decimal">Decimal64</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/LittleEndianDatatypeCoder.html#decodeDecimal64-byte:A-">decodeDecimal64</a></span>(byte[]&nbsp;data)</code>
<div class="block">Decodes a decimal64 from byte array.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/LittleEndianDatatypeCoder.html#decodeInt-byte:A-">decodeInt</a></span>(byte[]&nbsp;byte_int)</code>
<div class="block">Decode a <code>byte</code> array into an <code>int</code> value.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/LittleEndianDatatypeCoder.html#decodeInt-byte:A-int-">decodeInt</a></span>(byte[]&nbsp;bytes,
         int&nbsp;fromIndex)</code>
<div class="block">Decode a <code>byte</code> array to an <code>int</code> value.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/LittleEndianDatatypeCoder.html#decodeLong-byte:A-">decodeLong</a></span>(byte[]&nbsp;byte_int)</code>
<div class="block">Decode a <code>byte</code> array into a <code>long</code> value.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/LittleEndianDatatypeCoder.html#decodeShort-byte:A-">decodeShort</a></span>(byte[]&nbsp;byte_int)</code>
<div class="block">Decode a <code>byte</code> array into a <code>short</code> value.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/LittleEndianDatatypeCoder.html#decodeShort-byte:A-int-">decodeShort</a></span>(byte[]&nbsp;bytes,
           int&nbsp;fromIndex)</code>
<div class="block">Decode from a <code>byte</code> array to a <code>short</code> value.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/LittleEndianDatatypeCoder.html#encodeDecimal128-org.firebirdsql.extern.decimal.Decimal128-">encodeDecimal128</a></span>(<a href="../../../../../org/firebirdsql/extern/decimal/Decimal128.html" title="class in org.firebirdsql.extern.decimal">Decimal128</a>&nbsp;decimal128)</code>
<div class="block">Encodes a decimal128 to a byte array.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/LittleEndianDatatypeCoder.html#encodeDecimal64-org.firebirdsql.extern.decimal.Decimal64-">encodeDecimal64</a></span>(<a href="../../../../../org/firebirdsql/extern/decimal/Decimal64.html" title="class in org.firebirdsql.extern.decimal">Decimal64</a>&nbsp;decimal64)</code>
<div class="block">Encodes a decimal64 to a byte array.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/LittleEndianDatatypeCoder.html#encodeInt-int-">encodeInt</a></span>(int&nbsp;value)</code>
<div class="block">Encode an <code>int</code> value as a <code>byte</code> array.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/LittleEndianDatatypeCoder.html#encodeInt-int-byte:A-int-">encodeInt</a></span>(int&nbsp;value,
         byte[]&nbsp;target,
         int&nbsp;fromIndex)</code>
<div class="block">Encode an <code>int</code> value into the <code>target</code> byte array starting at index <code>fromIndex</code>.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/LittleEndianDatatypeCoder.html#encodeLong-long-">encodeLong</a></span>(long&nbsp;value)</code>
<div class="block">Encode a <code>long</code> value as a <code>byte</code> array.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/LittleEndianDatatypeCoder.html#encodeShort-int-byte:A-int-">encodeShort</a></span>(int&nbsp;value,
           byte[]&nbsp;target,
           int&nbsp;fromIndex)</code>
<div class="block">Encode a <code>short</code> value into the <code>target</code> byte array starting at index <code>fromIndex</code>.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/LittleEndianDatatypeCoder.html#encodeShort-short-">encodeShort</a></span>(short&nbsp;value)</code>
<div class="block">Encode a <code>short</code> value as a <code>byte</code> array.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/firebirdsql/gds/ng/jna/LittleEndianDatatypeCoder.html" title="class in org.firebirdsql.gds.ng.jna">LittleEndianDatatypeCoder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/LittleEndianDatatypeCoder.html#forEncodingFactory-org.firebirdsql.encodings.IEncodingFactory-">forEncodingFactory</a></span>(<a href="../../../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a>&nbsp;encodingFactory)</code>
<div class="block">Returns an instance of <code>LittleEndianDatatypeCoder</code> for an encoding factory.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.DefaultDatatypeCoder">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html" title="class in org.firebirdsql.gds.ng">DefaultDatatypeCoder</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#createReader-java.io.InputStream-">createReader</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#createWriter-java.io.OutputStream-">createWriter</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#decodeBoolean-byte:A-">decodeBoolean</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#decodeDate-byte:A-">decodeDate</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#decodeDate-java.sql.Date-java.util.Calendar-">decodeDate</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#decodeDateCalendar-byte:A-java.util.Calendar-">decodeDateCalendar</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#decodeDateRaw-byte:A-">decodeDateRaw</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#decodeDouble-byte:A-">decodeDouble</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#decodeFloat-byte:A-">decodeFloat</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#decodeString-byte:A-">decodeString</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#decodeTime-byte:A-">decodeTime</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#decodeTime-java.sql.Time-java.util.Calendar-boolean-">decodeTime</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#decodeTimeCalendar-byte:A-java.util.Calendar-">decodeTimeCalendar</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#decodeTimeRaw-byte:A-">decodeTimeRaw</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#decodeTimestamp-byte:A-">decodeTimestamp</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#decodeTimestamp-java.sql.Timestamp-java.util.Calendar-">decodeTimestamp</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#decodeTimestamp-java.sql.Timestamp-java.util.Calendar-boolean-">decodeTimestamp</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#decodeTimestampCalendar-byte:A-java.util.Calendar-">decodeTimestampCalendar</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#decodeTimestampRaw-byte:A-">decodeTimestampRaw</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeBoolean-boolean-">encodeBoolean</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeDate-java.sql.Date-">encodeDate</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeDate-java.sql.Date-java.util.Calendar-">encodeDate</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeDateCalendar-java.sql.Date-java.util.Calendar-">encodeDateCalendar</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeDateRaw-org.firebirdsql.gds.ng.DatatypeCoder.RawDateTimeStruct-">encodeDateRaw</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeDouble-double-">encodeDouble</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeFloat-float-">encodeFloat</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeLocalDate-int-int-int-">encodeLocalDate</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeLocalDateTime-int-int-int-int-int-int-int-">encodeLocalDateTime</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeLocalTime-int-int-int-int-">encodeLocalTime</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeShort-int-">encodeShort</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeString-java.lang.String-">encodeString</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeTime-java.sql.Time-">encodeTime</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeTime-java.sql.Time-java.util.Calendar-boolean-">encodeTime</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeTimeCalendar-java.sql.Time-java.util.Calendar-">encodeTimeCalendar</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeTimeRaw-org.firebirdsql.gds.ng.DatatypeCoder.RawDateTimeStruct-">encodeTimeRaw</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeTimestamp-java.sql.Timestamp-">encodeTimestamp</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeTimestamp-java.sql.Timestamp-java.util.Calendar-">encodeTimestamp</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeTimestamp-java.sql.Timestamp-java.util.Calendar-boolean-">encodeTimestamp</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeTimestampCalendar-java.sql.Timestamp-java.util.Calendar-">encodeTimestampCalendar</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeTimestampRaw-org.firebirdsql.gds.ng.DatatypeCoder.RawDateTimeStruct-">encodeTimestampRaw</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#equals-java.lang.Object-">equals</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#forEncodingDefinition-org.firebirdsql.encodings.EncodingDefinition-">forEncodingDefinition</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#getEncoding--">getEncoding</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#getEncodingDefinition--">getEncodingDefinition</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#getEncodingFactory--">getEncodingFactory</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#hashCode--">hashCode</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#intToBytes-int-">intToBytes</a>, <a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#unwrap--">unwrap</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="LittleEndianDatatypeCoder-org.firebirdsql.encodings.IEncodingFactory-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>LittleEndianDatatypeCoder</h4>
<pre>public&nbsp;LittleEndianDatatypeCoder(<a href="../../../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a>&nbsp;encodingFactory)</pre>
<div class="block">Creates a little-endian datatype coder for native access on little-endian platforms.
 <p>
 In almost all cases, it is better to use <a href="../../../../../org/firebirdsql/gds/ng/jna/LittleEndianDatatypeCoder.html#forEncodingFactory-org.firebirdsql.encodings.IEncodingFactory-"><code>forEncodingFactory(IEncodingFactory)</code></a>.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>encodingFactory</code> - Encoding factory</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="forEncodingFactory-org.firebirdsql.encodings.IEncodingFactory-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>forEncodingFactory</h4>
<pre>public static&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/jna/LittleEndianDatatypeCoder.html" title="class in org.firebirdsql.gds.ng.jna">LittleEndianDatatypeCoder</a>&nbsp;forEncodingFactory(<a href="../../../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a>&nbsp;encodingFactory)</pre>
<div class="block">Returns an instance of <code>LittleEndianDatatypeCoder</code> for an encoding factory.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>encodingFactory</code> - Encoding factory</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Datatype coder, this might be a cached instance</dd>
</dl>
</li>
</ul>
<a name="encodeShort-short-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeShort</h4>
<pre>public&nbsp;byte[]&nbsp;encodeShort(short&nbsp;value)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeShort-short-">DatatypeCoder</a></code></span></div>
<div class="block">Encode a <code>short</code> value as a <code>byte</code> array.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeShort-short-">encodeShort</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeShort-short-">encodeShort</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html" title="class in org.firebirdsql.gds.ng">DefaultDatatypeCoder</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The value to be encoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The value of <code>value</code> encoded as a <code>byte</code> array</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeShort-int-"><code>DatatypeCoder.encodeShort(int)</code></a></dd>
</dl>
</li>
</ul>
<a name="encodeShort-int-byte:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeShort</h4>
<pre>public&nbsp;void&nbsp;encodeShort(int&nbsp;value,
                        byte[]&nbsp;target,
                        int&nbsp;fromIndex)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeShort-int-byte:A-int-">DatatypeCoder</a></code></span></div>
<div class="block">Encode a <code>short</code> value into the <code>target</code> byte array starting at index <code>fromIndex</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeShort-int-byte:A-int-">encodeShort</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeShort-int-byte:A-int-">encodeShort</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html" title="class in org.firebirdsql.gds.ng">DefaultDatatypeCoder</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The value to be encoded</dd>
<dd><code>target</code> - Target byte array of sufficient size (warning: this may be datatype coder specific)</dd>
<dd><code>fromIndex</code> - Index to start writing</dd>
</dl>
</li>
</ul>
<a name="decodeShort-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeShort</h4>
<pre>public&nbsp;short&nbsp;decodeShort(byte[]&nbsp;byte_int)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeShort-byte:A-">DatatypeCoder</a></code></span></div>
<div class="block">Decode a <code>byte</code> array into a <code>short</code> value.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeShort-byte:A-">decodeShort</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#decodeShort-byte:A-">decodeShort</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html" title="class in org.firebirdsql.gds.ng">DefaultDatatypeCoder</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>byte_int</code> - The <code>byte</code> array to be decoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>short</code> value of the decoded <code>byte</code> array</dd>
</dl>
</li>
</ul>
<a name="decodeShort-byte:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeShort</h4>
<pre>public&nbsp;short&nbsp;decodeShort(byte[]&nbsp;bytes,
                         int&nbsp;fromIndex)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeShort-byte:A-int-">DatatypeCoder</a></code></span></div>
<div class="block">Decode from a <code>byte</code> array to a <code>short</code> value.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeShort-byte:A-int-">decodeShort</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#decodeShort-byte:A-int-">decodeShort</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html" title="class in org.firebirdsql.gds.ng">DefaultDatatypeCoder</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bytes</code> - The <code>byte</code> array to be decoded</dd>
<dd><code>fromIndex</code> - The index to start reading</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>short</code> value of the decoded <code>byte</code> array</dd>
</dl>
</li>
</ul>
<a name="encodeInt-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeInt</h4>
<pre>public&nbsp;byte[]&nbsp;encodeInt(int&nbsp;value)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeInt-int-">DatatypeCoder</a></code></span></div>
<div class="block">Encode an <code>int</code> value as a <code>byte</code> array.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeInt-int-">encodeInt</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeInt-int-">encodeInt</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html" title="class in org.firebirdsql.gds.ng">DefaultDatatypeCoder</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The value to be encoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The value of <code>value</code> encoded as a <code>byte</code> array</dd>
</dl>
</li>
</ul>
<a name="encodeInt-int-byte:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeInt</h4>
<pre>public&nbsp;void&nbsp;encodeInt(int&nbsp;value,
                      byte[]&nbsp;target,
                      int&nbsp;fromIndex)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeInt-int-byte:A-int-">DatatypeCoder</a></code></span></div>
<div class="block">Encode an <code>int</code> value into the <code>target</code> byte array starting at index <code>fromIndex</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeInt-int-byte:A-int-">encodeInt</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeInt-int-byte:A-int-">encodeInt</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html" title="class in org.firebirdsql.gds.ng">DefaultDatatypeCoder</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The value to be encoded</dd>
<dd><code>target</code> - Target byte array of sufficient size</dd>
<dd><code>fromIndex</code> - Index to start writing</dd>
</dl>
</li>
</ul>
<a name="decodeInt-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeInt</h4>
<pre>public&nbsp;int&nbsp;decodeInt(byte[]&nbsp;byte_int)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeInt-byte:A-">DatatypeCoder</a></code></span></div>
<div class="block">Decode a <code>byte</code> array into an <code>int</code> value.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeInt-byte:A-">decodeInt</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#decodeInt-byte:A-">decodeInt</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html" title="class in org.firebirdsql.gds.ng">DefaultDatatypeCoder</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>byte_int</code> - The <code>byte</code> array to be decoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>int</code> value of the decoded <code>byte</code> array</dd>
</dl>
</li>
</ul>
<a name="decodeInt-byte:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeInt</h4>
<pre>public&nbsp;int&nbsp;decodeInt(byte[]&nbsp;bytes,
                     int&nbsp;fromIndex)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeInt-byte:A-int-">DatatypeCoder</a></code></span></div>
<div class="block">Decode a <code>byte</code> array to an <code>int</code> value.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeInt-byte:A-int-">decodeInt</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#decodeInt-byte:A-int-">decodeInt</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html" title="class in org.firebirdsql.gds.ng">DefaultDatatypeCoder</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bytes</code> - The <code>byte</code> array to be decoded</dd>
<dd><code>fromIndex</code> - The index to start reading</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>int</code> value of the decoded <code>byte</code> array</dd>
</dl>
</li>
</ul>
<a name="encodeLong-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeLong</h4>
<pre>public&nbsp;byte[]&nbsp;encodeLong(long&nbsp;value)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeLong-long-">DatatypeCoder</a></code></span></div>
<div class="block">Encode a <code>long</code> value as a <code>byte</code> array.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeLong-long-">encodeLong</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeLong-long-">encodeLong</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html" title="class in org.firebirdsql.gds.ng">DefaultDatatypeCoder</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The value to be encoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The value of <code>value</code> encoded as a <code>byte</code> array</dd>
</dl>
</li>
</ul>
<a name="decodeLong-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeLong</h4>
<pre>public&nbsp;long&nbsp;decodeLong(byte[]&nbsp;byte_int)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeLong-byte:A-">DatatypeCoder</a></code></span></div>
<div class="block">Decode a <code>byte</code> array into a <code>long</code> value.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeLong-byte:A-">decodeLong</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#decodeLong-byte:A-">decodeLong</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html" title="class in org.firebirdsql.gds.ng">DefaultDatatypeCoder</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>byte_int</code> - The <code>byte</code> array to be decoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>long</code> value of the decoded <code>byte</code> array</dd>
</dl>
</li>
</ul>
<a name="decodeDecimal64-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeDecimal64</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/extern/decimal/Decimal64.html" title="class in org.firebirdsql.extern.decimal">Decimal64</a>&nbsp;decodeDecimal64(byte[]&nbsp;data)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeDecimal64-byte:A-">DatatypeCoder</a></code></span></div>
<div class="block">Decodes a decimal64 from byte array.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeDecimal64-byte:A-">decodeDecimal64</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#decodeDecimal64-byte:A-">decodeDecimal64</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html" title="class in org.firebirdsql.gds.ng">DefaultDatatypeCoder</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>data</code> - Data to decode (expected 8 bytes)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Decimal64 value</dd>
</dl>
</li>
</ul>
<a name="encodeDecimal64-org.firebirdsql.extern.decimal.Decimal64-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeDecimal64</h4>
<pre>public&nbsp;byte[]&nbsp;encodeDecimal64(<a href="../../../../../org/firebirdsql/extern/decimal/Decimal64.html" title="class in org.firebirdsql.extern.decimal">Decimal64</a>&nbsp;decimal64)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeDecimal64-org.firebirdsql.extern.decimal.Decimal64-">DatatypeCoder</a></code></span></div>
<div class="block">Encodes a decimal64 to a byte array.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeDecimal64-org.firebirdsql.extern.decimal.Decimal64-">encodeDecimal64</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeDecimal64-org.firebirdsql.extern.decimal.Decimal64-">encodeDecimal64</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html" title="class in org.firebirdsql.gds.ng">DefaultDatatypeCoder</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>decimal64</code> - The decimal64 value to be encoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Byte array for decimal64 value</dd>
</dl>
</li>
</ul>
<a name="decodeDecimal128-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decodeDecimal128</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/extern/decimal/Decimal128.html" title="class in org.firebirdsql.extern.decimal">Decimal128</a>&nbsp;decodeDecimal128(byte[]&nbsp;data)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeDecimal128-byte:A-">DatatypeCoder</a></code></span></div>
<div class="block">Decodes a decimal128 from byte array.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#decodeDecimal128-byte:A-">decodeDecimal128</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#decodeDecimal128-byte:A-">decodeDecimal128</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html" title="class in org.firebirdsql.gds.ng">DefaultDatatypeCoder</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>data</code> - Data to decode (expected 16 bytes)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Decimal128 value</dd>
</dl>
</li>
</ul>
<a name="encodeDecimal128-org.firebirdsql.extern.decimal.Decimal128-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>encodeDecimal128</h4>
<pre>public&nbsp;byte[]&nbsp;encodeDecimal128(<a href="../../../../../org/firebirdsql/extern/decimal/Decimal128.html" title="class in org.firebirdsql.extern.decimal">Decimal128</a>&nbsp;decimal128)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeDecimal128-org.firebirdsql.extern.decimal.Decimal128-">DatatypeCoder</a></code></span></div>
<div class="block">Encodes a decimal128 to a byte array.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html#encodeDecimal128-org.firebirdsql.extern.decimal.Decimal128-">encodeDecimal128</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html#encodeDecimal128-org.firebirdsql.extern.decimal.Decimal128-">encodeDecimal128</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html" title="class in org.firebirdsql.gds.ng">DefaultDatatypeCoder</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>decimal128</code> - The decimal128 value to be encoded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Byte array for decimal128 value</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaTransaction.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/jna/NativeLibraryLoadException.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/jna/LittleEndianDatatypeCoder.html" target="_top">Frames</a></li>
<li><a href="LittleEndianDatatypeCoder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
